## GVir GVir |

## Synopsis

    struct              GVirInterface;
    struct              GVirInterfaceClass;
    const gchar *       gvir_interface_get_name             (GVirInterface *iface);
    GVirConfigInterface * gvir_interface_get_config         (GVirInterface *iface,
                                                             guint flags,
                                                             GError **err);

## Object Hierarchy

      GObject
       +----GVirInterface

## Properties

      "handle"                   GVirInterfaceHandle*  : Read / Write / Construct Only

## Description

## Details

### struct GVirInterface

    struct GVirInterface;

### struct GVirInterfaceClass

    struct GVirInterfaceClass {
        GObjectClass parent_class;

        gpointer padding[20];
    };

### gvir_interface_get_name ()

    const gchar *       gvir_interface_get_name             (GVirInterface *iface);

### gvir_interface_get_config ()

    GVirConfigInterface * gvir_interface_get_config         (GVirInterface *iface,
                                                             guint flags,
                                                             GError **err);

`iface` : | the interface
`flags` : | the flags
`err` : | Place-holder for possible errors
Returns : | the config. The returned object should be unreffed with `g_object_unref()` when no longer needed. [transfer full]

## Property Details

### The `"handle"` property

      "handle"                   GVirInterfaceHandle*  : Read / Write / Construct Only

The interface handle.